stages:
    - test
    - staging
    - deploy

test3.6:
    image: python:3.6
    script:
        - pip install pytest
        - pytest

test3.7:
    image: python:3.7
    script:
        - pip install pytest
        - pytest

deploy_stage:
    image: python:3.6
    stage: staging
    only: 
        - master
    script:
        - pip install twine
        - python setup.py sdist
        - twine upload --repository-url https://test.pypi.org/legacy/ -u $PYPI_USERNAME -p $PYPI_PASSWORD dist/*
    
deploy:
    image: python:3.6
    stage: deploy
    when: manual
    only: 
        - master
    script:
        - pip install twine
        - python setup.py sdist
        - twine upload -u $PYPI_USERNAME -p $PYPI_PASSWORD dist/*

